%define upstream_name    Parse-CPAN-Meta
%define upstream_version 1.4417

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    2

Summary:    Parse META.yml and other similar CPAN metadata files

License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML) >= 0.12.0
BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(JSON::PP) >= 2.272.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-devel
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(version)
BuildRequires: perl(warnings)

BuildArch:  noarch

%description
*Parse::CPAN::Meta* is a parser for META.yml files, based on the parser
half of the YAML::Tiny manpage.

It supports a basic subset of the full YAML specification, enough to
implement parsing of typical META.yml files, and other similarly simple
YAML files.

If you need something with more power, move up to a full YAML parser such
as the YAML manpage, the YAML::Syck manpage or the YAML::LibYAML manpage.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING.* Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Parse


%changelog

* Mon Oct 05 2015 Denis Silakov <dsilakov@gmail.com> 1.441.700-2
- (dca1e7e) Move to main


